﻿@model LoginViewModel

<div class="login-page">
    <div class="row">
        <div class="col-lg-4"></div>
        @if (Model.EnableLocalLogin)
        {
            <div class="col-lg-4">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h3>Login using Identity Server</h3><br />
                    </div>
                    <div class="panel-body">

                        <form asp-route="Login">
                            <input type="hidden" asp-for="ReturnUrl" />
                            <partial name="_ValidationSummary" />
                            <fieldset>
                                <div class="form-group">
                                    <input class="form-control" placeholder="Username" asp-for="Username" autofocus>
                                    <span asp-validation-for="Username" class="text-danger"></span>
                                </div>
                                <div class="form-group">
                                    <input type="password" class="form-control" placeholder="Password" asp-for="Password" autocomplete="off">
                                    <span asp-validation-for="Password" class="text-danger"></span>
                                </div>
                                @if (Model.AllowRememberLogin)
                                {
                                    <div class="form-group login-remember">
                                        <label asp-for="RememberLogin">
                                            <input asp-for="RememberLogin">
                                            Remember My Login
                                        </label>
                                    </div>
                                }
                            <div class="form-group">
                                <a id="forgot-password" asp-area="Identity" asp-page="/Account/ForgotPassword">Forgot your password?</a><br />
                                <button type="submit" class="btn btn-primary" name="button" value="login"><i class="fa fa-shield-alt"></i> Login</button>
                                <button class="btn btn-secondary" name="button" value="cancel"><i class="fa fa-times"></i> Cancel</button>


                                @if (Model.VisibleExternalProviders.Any())
                                {
                                    @foreach (var provider in Model.VisibleExternalProviders)
                                    {
                                        <a class="btn btn-primary float-right"
                                           asp-controller="External"
                                           asp-action="Challenge"
                                           asp-route-provider="@provider.AuthenticationScheme"
                                           asp-route-returnUrl="@Model.ReturnUrl">
                                            <i class="fab @($"fa-{provider.DisplayName.ToLower()}") "></i> Login with @provider.DisplayName
                                        </a>
                                    }
                                }
                            </div>
                            </fieldset>
                        </form>

                        @if (!Model.EnableLocalLogin && !Model.VisibleExternalProviders.Any())
                        {
                            <div class="alert alert-warning">
                                <strong>Invalid login request</strong>
                                There are no login schemes configured for this client.
                            </div>
                        }
                    </div>
                </div>
            </div>
        }
        <div class="col-lg-4"></div>
       
    </div>
</div>